#!/bin/bash
# Based on a script from scikit-learn

# This script is meant to be called by the "script" step defined in
# .travis.yml. See http://docs.travis-ci.com/ for more details.
# The behavior of the script is controlled by environment variables defined
# in the .travis.yml in the top level folder of the project.

set -e

python --version
python -c "import numpy; print('numpy %s' % numpy.__version__)"
python -c "import scipy; print('scipy %s' % scipy.__version__)"

if [[ "$COVERAGE" == "true" ]]; then
    if [[ "$MPI" == "true" ]]; then
	mpiexec -n 1 nosetests --with-coverage --cover-package=elephant
    else
	nosetests --with-coverage --cover-package=elephant
    fi
else
    nosetests
fi
